export async function browsePage(url) {
  try {
    const prompt = `Please summarize the content from this URL: ${url}\nFocus on the main points and key information.`;
    const response = await sendPromptToOpenRouter(
      'openai/gpt-4',
      prompt,
      'Summarize webpage content concisely and accurately'
    );
    
    return response.choices[0].message.content;
  } catch (error) {
    console.error('Error browsing page:', error);
    throw error;
  }
}

